E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::StreamSocket::Config Struct Reference

A configuration structure for GNet::StreamSocket. More...

`#include <gsocket.h>`

Inheritance diagram for GNet::StreamSocket::Config:
[legend]
Collaboration diagram for GNet::StreamSocket::Config:
[legend]

## Public Member Functions
| Config (const Socket::Config &)
Config & | set_create_linger (std::pair< int, int >) noexcept
Config & | set_create_linger_onoff (int) noexcept
Config & | set_create_linger_time (int) noexcept
Config & | set_accept_linger (std::pair< int, int >) noexcept
Config & | set_accept_linger_onoff (int) noexcept
Config & | set_accept_linger_time (int) noexcept
Public Member Functions inherited from GNet::Socket::Config
Config & | set_listen_queue (int) noexcept
Config & | set_bind_reuse (bool) noexcept
Config & | set_bind_exclusive (bool) noexcept
Config & | set_free_bind (bool) noexcept
template<typename T >
const T & | set_last ()

## Public Attributes
int | create_linger_onoff {0}
int | create_linger_time {0}
int | accept_linger_onoff {0}
int | accept_linger_time {0}
bool | create_keepalive {false}
bool | accept_keepalive {false}
Public Attributes inherited from GNet::Socket::Config
int | listen_queue {0}
bool | connect_pureipv6 {true}
bool | bind_pureipv6 {true}
bool | bind_reuse {true}
bool | bind_exclusive {false}
bool | free_bind {false}

## Detailed Description

A configuration structure for GNet::StreamSocket.

Definition at line 362 of file gsocket.h.

## Constructor & Destructor Documentation

## ◆ Config()

GNet::StreamSocket::Config::Config | ( | const Socket::Config & | base | ) |
| explicit

Definition at line 443 of file gsocket.cpp.

## Member Function Documentation

## ◆ set_accept_linger()

GNet::StreamSocket::Config & GNet::StreamSocket::Config::set_accept_linger | ( | std::pair< int, int > | p | ) |
| inline noexcept

Definition at line 516 of file gsocket.h.

## ◆ set_accept_linger_onoff()

GNet::StreamSocket::Config & GNet::StreamSocket::Config::set_accept_linger_onoff | ( | int | n | ) |
| inline noexcept

Definition at line 517 of file gsocket.h.

## ◆ set_accept_linger_time()

GNet::StreamSocket::Config & GNet::StreamSocket::Config::set_accept_linger_time | ( | int | n | ) |
| inline noexcept

Definition at line 518 of file gsocket.h.

## ◆ set_create_linger()

GNet::StreamSocket::Config & GNet::StreamSocket::Config::set_create_linger | ( | std::pair< int, int > | p | ) |
| inline noexcept

Definition at line 513 of file gsocket.h.

## ◆ set_create_linger_onoff()

GNet::StreamSocket::Config & GNet::StreamSocket::Config::set_create_linger_onoff | ( | int | n | ) |
| inline noexcept

Definition at line 514 of file gsocket.h.

## ◆ set_create_linger_time()

GNet::StreamSocket::Config & GNet::StreamSocket::Config::set_create_linger_time | ( | int | n | ) |
| inline noexcept

Definition at line 515 of file gsocket.h.

## Member Data Documentation

## ◆ accept_keepalive

bool GNet::StreamSocket::Config::accept_keepalive {false}

Definition at line 371 of file gsocket.h.

## ◆ accept_linger_onoff

int GNet::StreamSocket::Config::accept_linger_onoff {0}

Definition at line 368 of file gsocket.h.

## ◆ accept_linger_time

int GNet::StreamSocket::Config::accept_linger_time {0}

Definition at line 369 of file gsocket.h.

## ◆ create_keepalive

bool GNet::StreamSocket::Config::create_keepalive {false}

Definition at line 370 of file gsocket.h.

## ◆ create_linger_onoff

int GNet::StreamSocket::Config::create_linger_onoff {0}

Definition at line 366 of file gsocket.h.

## ◆ create_linger_time

int GNet::StreamSocket::Config::create_linger_time {0}

Definition at line 367 of file gsocket.h.

The documentation for this struct was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gsocket.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gsocket.cpp